Bug 14338 - Unable to delete patron images
Summary: Unable to delete patron images
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-05 12:06 UTC by Kyle M Hall
Modified: 2016-12-05 21:23 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14338 - Unable to delete patron images (2.29 KB, patch)
2015-06-05 12:07 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 14338 - Unable to delete patron images (2.46 KB, patch)
2015-06-05 14:09 UTC, M. Tompsett
Details | Diff | Splinter Review
[PASSED QA] Bug 14338 - Unable to delete patron images (2.52 KB, patch)
2015-06-06 17:32 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 14338 - Unable to delete patron images [3.16.x] (2.71 KB, patch)
2015-07-25 07:55 UTC, M. Tompsett
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2015-06-05 12:06:14 UTC
The call to RmPatronImage is still passing cardnumber as its parameter instead of borrowernumber.
Comment 1 Kyle M Hall 2015-06-05 12:07:36 UTC Comment hidden (obsolete)
Comment 2 M. Tompsett 2015-06-05 14:06:22 UTC
DOH! I figured out why it worked for me. my borrowernumber = cardnumber!
Comment 3 M. Tompsett 2015-06-05 14:09:58 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2015-06-06 17:32:16 UTC
Created attachment 39947 [details] [review]
[PASSED QA] Bug 14338 - Unable to delete patron images

The call to RmPatronImage is still passing cardnumber as its parameter
instead of borrowernumber.

Test Plan:
1) Upload a patron image
2) Ensure the card number is not the same as the borrower number
3) Attempt to delete patron image
   -- Image will remain
4) Apply this patch
5) Attempt to delete patron image
   -- Image will be removed
6) run koha qa test tools

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Tomás Cohen Arazi 2015-06-11 13:18:44 UTC
Patch pushed to master.

Thanks Kyle!
Comment 6 Chris Cormack 2015-06-11 20:38:46 UTC
Pushed to 3.20.x will be in 3.20.1
Comment 7 Liz Rea 2015-06-22 23:29:09 UTC
Patch pushed to 3.18.x will be in 3.18.08
Comment 8 Mason James 2015-07-25 05:36:46 UTC
Skipping for 3.16.x series, due to patch conflicts
Comment 9 M. Tompsett 2015-07-25 07:55:30 UTC
Created attachment 41186 [details] [review]
Bug 14338 - Unable to delete patron images [3.16.x]

The call to RmPatronImage is still passing cardnumber as its parameter
instead of borrowernumber.

Test Plan:
1) Upload a patron image
2) Ensure the card number is not the same as the borrower number
3) Attempt to delete patron image
   -- Image will remain
4) Apply this patch
5) Attempt to delete patron image
   -- Image will be removed
6) run koha qa test tools

NOTE: Deletion worked in 3.16.x, though the message for
      debugging differed (cardnumber vs. borrowernumber).
      This effectively removes cardnumber from the URL and
      messages for the delete operation.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Mason James 2015-07-25 13:15:59 UTC
(In reply to M. Tompsett from comment #9)
> Created attachment 41186 [details] [review] [review]
> Bug 14338 - Unable to delete patron images [3.16.x]

Pushed to 3.16.x, will be in 3.16.13.  cheers Mark :)